<?php
/*
  Plugin Name: MarcTV Quicktags
  Plugin URI: http://www.marctv.de
  Description: Displays a bold, italic, add link and quote button on top of the comment form
  Version: 1.5
  Author: Marc Tönsing
  Author URI: http://www.marctv.de
  Stable tag: 1.4
  License: GPL2
 */

class MarcTVCommentFormQuicktags {

        function MarcTVCommentFormQuicktags() {
            add_filter('comments_template', array(&$this, 'detect_start'));
        }

	function detect_start($file) {
			ob_start(array(&$this, 'add_tags'));
			$this->ended = false;
			add_action('comment_form', array(&$this, 'detect_end'));
			add_action('wp_footer', array(&$this, 'detect_end'));
		return $file;
	}


	function detect_end() {
		if (!$this->ended) {
			$this->ended = true;
			ob_end_flush();
		}
	}


	function add_tags($content) {
		$toolbar = '<script type="text/javascript">edToolbar();</script>';
		$activate = '<script type="text/javascript">var edCanvas = document.getElementById(\'\\2\');</script>';
		$content = preg_replace(
			'%<textarea(.*)id="([^"]*)"(.*)>(.*)</textarea>%U',
			$toolbar . "\n" . '<textarea\\1id="\\2"\\3>\\4</textarea>' . "\n" . $activate,
			$content
		);

		return $content;
	}

}

function add_quicktag_scripts() {
    wp_enqueue_script(
    "marctv_quicktags", WP_PLUGIN_URL . "/marctv-quicktags/marctv_quicktags.js",
    array("quicktags"), "1.0", 0);

    wp_enqueue_style(
    "marctv_quicktags", WP_PLUGIN_URL . "/marctv-quicktags/marctv_quicktags.css",
    false, "1.0");
    $comment_form_quicktags = &new MarcTVCommentFormQuicktags();
}

add_action('wp_print_styles', 'add_quicktag_scripts');

?>
